package com.eitc.modules.tenant.dao;

import com.eitc.common.dao.BaseDao;
import com.eitc.modules.tenant.entity.SysTenantEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * 租户管理
 *
 * @author Mark eitc@163.com
 */
@Mapper
public interface SysTenantDao extends BaseDao<SysTenantEntity> {

    List<SysTenantEntity> getList(Map<String, Object> params);

    SysTenantEntity getById(Long id);

    SysTenantEntity getTenantCode(Long tenantCode);

    void deleteBatch(Long[] ids);
}